API Reference
List Metric
List metrics. The metrics are in no particular order.
GET
/
v1
/
metrics
List Metric
curl --request GET \
--url https://metrics.eu.confidence.dev/v1/metrics \
--header 'Authorization: Bearer <token>'import requests
url = "https://metrics.eu.confidence.dev/v1/metrics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://metrics.eu.confidence.dev/v1/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metrics": [
{
"displayName": "<string>",
"entity": "<string>",
"factTable": "<string>",
"typeSpec": {
"averageMetricSpec": {
"aggregation": {
"threshold": {
"threshold": {
"value": "<string>"
}
},
"cap": {
"min": {
"value": "<string>"
},
"max": {
"value": "<string>"
}
}
},
"measurement": {
"name": "<string>",
"repeated": true
}
},
"ratioMetricSpec": {
"numeratorAggregation": {
"threshold": {
"threshold": {
"value": "<string>"
}
},
"cap": {
"min": {
"value": "<string>"
},
"max": {
"value": "<string>"
}
}
},
"denominatorAggregation": {
"threshold": {
"threshold": {
"value": "<string>"
}
},
"cap": {
"min": {
"value": "<string>"
},
"max": {
"value": "<string>"
}
}
},
"numerator": {
"name": "<string>",
"repeated": true
},
"denominator": {
"name": "<string>",
"repeated": true
},
"numeratorFilter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
}
}
},
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"description": "<string>",
"aggregationWindow": {},
"exposureOffset": {},
"measurementConfig": {
"closedWindow": {
"aggregationWindow": {},
"exposureOffset": {}
},
"semiOpenWindow": {
"aggregationWindow": {},
"exposureOffset": {}
},
"openWindow": {}
},
"varianceReductionConfig": {
"disabled": true,
"aggregationWindowOverride": {}
},
"nullHandling": {
"replaceMeasureNullWithZero": true,
"replaceEntityNullWithZero": true
},
"derivedUnit": {
"numerator": {
"baseUnitMultiplier": 123,
"currencyCode": "<string>",
"customUnit": "<string>",
"entity": "<string>",
"factTable": "<string>"
},
"denominator": {
"baseUnitMultiplier": 123,
"currencyCode": "<string>",
"customUnit": "<string>",
"entity": "<string>",
"factTable": "<string>"
}
},
"defaultEffectSize": {
"value": "<string>"
},
"filter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
},
"filterString": "<string>",
"deleteTime": {},
"labels": [
{}
],
"systemCreated": true,
"owner": "<string>",
"etag": "<string>",
"measurement": "<string>"
}
],
"nextPageToken": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The maximum number of metrics to fetch.
Token used for pagination.
Filtering for metrics, follows the lucene query string format for example 'name: "metrics/abc"', see Metric type for available fields.
If deleted metrics should be included.
Provide fields and direction to sort by. Will always tiebreak on name. Format: {"<"}field_0{">"}:{"<"}direction{">"}, {"<"}field_1{">"}:{"<"}direction{">"} Example: name:desc,age:asc
Was this page helpful?
⌘I
List Metric

